[AddOn v1.43/v1.64] Advanced Machines V3.2 Beta 2

  • I get his error everytime I try to open the interface of a rotary macerator on a server, haven't tried the other machines yet since I don't have the materials, I assume it would be the same with them too.


    java.lang.IndexOutOfBoundsException: Index: 39, Size: 39


    at java.util.ArrayList.rangeCheck(Unknown Source)
    at java.util.ArrayList.get(Unknown Source)
    at pj.b(SourceFile:80)
    at pj.a(SourceFile:232)
    at abp.a(NetClientHandler.java:881)
    at yh.a(SourceFile:42)
    at hc.b(SourceFile:272)
    at abp.b(NetClientHandler.java:81)
    at ma.c(SourceFile:56)
    at net.minecraft.client.Minecraft.k(SourceFile:1593)
    at net.minecraft.client.Minecraft.x(SourceFile:705)
    at net.minecraft.client.Minecraft.run(SourceFile:658)
    at java.lang.Thread.run(Unknown Source)


  • Somehow your gui ids are different between client and server. Be aware, the defaults changed with IC1.42 and AM 3.0 because the old gui defaults for AM2.1 became iron and elec furnace guis in 1.42. So if you're upgrading a server, you'll need to change those numbers. The new defaults are now 40, 41 and 42.

  • Do you plan on adding your info to the MCportcentral cite? I missed out that this was bukkit until now because it was not listed on there site... so sad because i do love this mod and the members of my server were the ones who informed me this was ready to go... Great Job on the Mod Gult's with hope will be running soon if it plays nice with the other mods...

  • On my bukkit server, using the latest AM, only the Rotary Macerator can be used. When attempting to use the other two, the client is disconnected with the following errors for each machine:


    Centrifuge Extractor:

    Code
    1. Internal exception: java.io.IOException: Received string length longer than maximum allowed (19 > 16)


    Singularity Compressor:

    Code
    1. Internal exception: java.io.IOException: Received string length longer than maximum allowed (21 > 16)


    Bukkit RB 1597
    ModLoaderMP 1.0.1 r4
    Minecraft Forge 1.2.2 r2
    IC 1.43b


  • Use the newer version linked on the front page. That error is fixed.

  • Do you plan on adding your info to the MCportcentral cite? I missed out that this was bukkit until now because it was not listed on there site... so sad because i do love this mod and the members of my server were the ones who informed me this was ready to go... Great Job on the Mod Gult's with hope will be running soon if it plays nice with the other mods...


    Err, I've had a post up there for some days now- sadly it's not been added to the big list. I suggest you always check that entire forum section- sometimes muckk overlooks stuff for the main list from us outsiders..

  • Somehow your gui ids are different between client and server. Be aware, the defaults changed with IC1.42 and AM 3.0 because the old gui defaults for AM2.1 became iron and elec furnace guis in 1.42. So if you're upgrading a server, you'll need to change those numbers. The new defaults are now 40, 41 and 42.


    Ah that explains it, I changed the GUIIDs for the iron furnace and electric furnace to 40 and 41. Thanks.

  • I'd been trying to update my craftbukkit.jar to MCF 1.2.3 and MLMP 1.0.1 r5 for the past day, and only discovered a few hours ago that Power Converters was preventing the server from starting. After sorting that, I can happily say that this has fixed my issue!


    cpw : I was/have been using the latest version, but MCF and MLMP must've been at fault

  • I updated with the hotfix the second our server had the issue, since we actually never made a centrifuse.


    The error is gone, but now, there is no GUI, nothing happens when your right click the device.


    What did I do wrong?


    Also, there is no info in anything, minecraft states nothing is wrong.


    EDIT: Actually after the update NONE of the adv machine give a GUI


    SIDE NOTE ABOUT FORUMS: Guys change the text box background from grey to something else, it is hard to use your mouse over this since it turns this EXACT color when over the editor.

  • I get this error with the server:
    *snip*
    I've tryed adding a "z" in front of the filename but doesn't work on my Linux server, think this is becaouse ModLoaderMp doesn't load mods in alpabetic order. Any fix for this, eventually Zippinus/cpw, could you try fix this?


    I was able to solve it by copying the contents of the IC2 jar into the minecraft server jar (same with buildcraft), that made it load them before any addons. It's been so frustrating. :(

    "All errors should be fixed, as much of the code was rewritten."

  • You need to do super.remove(world, i, j, k) in your remove....your tileentities aren't getting removed properly...


    Indeed, but I want to know why that's not true for base IC2... What does base IC2 do that's special that means it doesn't need to do that? (I think this fix only applies to the bukkit ported version of AM too, yes)


  • Indeed, but I want to know why that's not true for base IC2... What does base IC2 do that's special that means it doesn't need to do that? (I think this fix only applies to the bukkit ported version of AM too, yes)

    Because it's a bug and getting fixed in the next version.

  • I am using the full install of the technic pack and I updated my industrialcraft to version 1.43 then installed this mod (version 3.0). However, when I did this my minecraft crashed and I got this error report


    Mods loaded: 52
    ModLoader 1.0.0 mod_Arrows 1.0.0 mod_CARuins v2.2.0 mod_ModLoaderMp 1.0.0 mod_Somnia v17 [1.0.0] mod_TooManyItems 1.0.0 2011-11-29 mod_ReiMinimap v2.9 [1.0.0] mod_airship Airships V2.5.1 for 1.0.0 mod_Shelf 1.0.0 mod_BuildCraftCore 2.2.7 mod_BuildCraftBuilders 2.2.7 mod_BuildCraftEnergy 2.2.7 mod_BuildCraftFactory 2.2.7 mod_BuildCraftTransport 2.2.7 mod_LogisticsPipes 0.1.2 (for Minecraft 1.0.0, Buildcraft 2.2.8, Forge 1.2.2) mod_Console 1.1 mod_CraftGuide 1.3.0 mod_Clevercraft 1.4.2 mod_crystalWing Minecraft 1.0.0 mod_EE EEv5.7.3 mod_IC2 v1.43 mod_InvTweaks 1.34b (1.0.0) mod_ItemDescriptions 1.1 mod_PigbearLaser Laser 1.1 mod_MAtmos_forModLoader r8 for 1.0
    mod_Millenaire 2.0.7 mod_MineFactory 1.0.0R1.4.0 mod_MineFactoryCompat_Grass 1.0.0R1.4.0 mod_mocreatures v3.1.0 (MC 1.0) mod_IC2AdvancedMachines v3.0 mod_WeaponMod 1.0.0 v8.1.0 Forge Edition mod_tome 1.0.0 mod_Zeppelin 1.0.0.0.22 mod_NetherOres 1.0.0R1.1.0
    mod_Railcraft 2.1.1 mod_RecipeHelper r4 mod_RedPowerArray 2.0pr4 mod_RedPowerCore 2.0pr4 mod_RedPowerLighting 2.0pr4
    mod_RedPowerLogic 2.0pr4 mod_RedPowerMachine 2.0pr4 mod_RedPowerWiring 2.0pr4 mod_RedPowerWorld 2.0pr4 mod_RedstoneRemote 1.0.0R1.1.0 mod_startingInventory 1.0.0 mod_HeroesGuild 1.2.1 mod_ThaumCraft 1.0.2 mod_treecapitator 1.0.0 mod_TurretMod 1.8.1 v.1.3_01 mod_WirelessRedstone 1.4 mod_XieClient Xie's Mod SMP v0.2.1 mod_zAdditionalPipes Rev31.1-D


    Minecraft has crashed!
    ----------------------


    Minecraft has stopped running because it encountered a problem.


    If you wish to report this, please copy this entire text and email it to support@mojang.com.
    Please include a description of what you did when the error occured.


    --- BEGIN ERROR REPORT 6444d240 --------
    Generated 12/25/11 8:12 PM


    Minecraft: Minecraft 1.0.0
    OS: Windows 7 (amd64) version 6.1
    Java: 1.6.0_30, Sun Microsystems Inc.
    VM: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Sun Microsystems Inc.
    LWJGL: 2.4.2
    OpenGL: AMD Radeon HD 6850 version 4.1.10765 Compatibility Profile Context, ATI Technologies Inc.


    java.lang.IllegalArgumentException: Slot 188 is already occupied by MLBlockCrops@1893c911 when adding ic2.advancedmachines.BlockAdvancedMachine@e7587b2
    at yy.(Block.java:212)
    at ba.(BlockContainer.java:16)
    at ic2.advancedmachines.BlockAdvancedMachine.(BlockAdvancedMachine.java:38)
    at mod_IC2AdvancedMachines.load(mod_IC2AdvancedMachines.java:120)
    at ModLoader.init(ModLoader.java:830)
    at ModLoader.AddAllRenderers(ModLoader.java:186)
    at wb.(wb.java:76)
    at wb.(wb.java:9)
    at net.minecraft.client.Minecraft.a(SourceFile:265)
    at net.minecraft.client.Minecraft.run(SourceFile:644)
    at java.lang.Thread.run(Unknown Source)
    --- END ERROR REPORT 972c074b ----------




    Can anyone help? Are some of these mods just incompatable or is it something else. Also, sorry for the long message :)

  • /snip
    java.lang.IllegalArgumentException: Slot 188 is already occupied by MLBlockCrops@1893c911 when adding ic2.advancedmachines.BlockAdvancedMachine@e7587b2
    /snip

    ID conflict. No idea what mod (Xie's, maybe?) MLBlockCrops is, but as the error clearly says, Modloader/MC is trying to give the AdvancedMachine block (which means all of the advanced machines added by the mod) the block ID 188, but another block is already using it. Edit your IC2AdvMachine.cfg in .minecraft/config so that it is trying to use an available block ID. As you have TMI, you can use that to find a free ID.


    EDIT: After looking through your list of mods, I've noticed something:
    - Buildcraft is out of date. Latest is 2.2.9 (With 2.2.10 using Forge 1.2.3, which I don't know if any mods have a problem with). I mention this due to Logistics Pipes, which lists as needing BC 2.2.8 (or higher).

  • The only thing I will add to the previous post is that I DO NOT SUPPORT TECHNIC PACK!! Also, if anyone sees this addon in that pack's download, please contact me. I will get it removed from the pack. I apologize if this is rude, but they refuse to get permission to use the mods first, and will assume that the authors will give it after the fact. I do nod disapprove of modpacks, but I would at least like a heads up ahead of time in most cases.